export default async function promiseProps(obj) {
	const resolved = await Promise.all(Object.entries(obj).map(async ([key, promise]) => [key, await promise]));

	return Object.fromEntries(resolved);
}
